﻿// unittest.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include "svg_internal.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({ 1, 3 }, min, max);
    CHECK(min == 1);
    CHECK(max == 3);
}
TEST_CASE("empty vector") {
    double min = 0;
    double max = 0;
    find_minmax({  }, min, max);
    CHECK(min == 0);
    CHECK(max == 0);

}
TEST_CASE("one item") {
    double min = 0;
    double max = 0;
    find_minmax({ 1}, min, max);
    CHECK(min == 1);
    CHECK(max == 1);

}
TEST_CASE("minus items") {
    double min = 0;
    double max = 0;
    find_minmax({ -1,-6 }, min, max);
    CHECK(min == -6);
    CHECK(max == -1);
}
TEST_CASE("equal items") {
    double min = 0;
    double max = 0;
    find_minmax({ -6,-6 }, min, max);
    CHECK(min == -6);
    CHECK(max == -6);

}

TEST_CASE("Test SVG normal") {
    int numb_cnt = 100;
    int bin = 44;
    int Proc = GetProc(numb_cnt, bin);
    CHECK(Proc == 44);
}

TEST_CASE("Test SVG zero") {
    int numb_cnt = 0;
    int bin = 33;
    int Proc = GetProc(numb_cnt, bin);
    CHECK(Proc == 0);
}

TEST_CASE("Test SVG less zero 1") {
    int numb_cnt = -23;
    int bin = 55;
    int Proc = GetProc(numb_cnt, bin);
    CHECK(Proc == 0);
}

TEST_CASE("Test SVG less zero 2") {
    int numb_cnt = 100;
    int bin = -23;
    int Proc = GetProc(numb_cnt, bin);
    CHECK(Proc == 0);
}

// Запуск программы: CTRL+F5 или меню "Отладка" > "Запуск без отладки"
// Отладка программы: F5 или меню "Отладка" > "Запустить отладку"

// Советы по началу работы 
//   1. В окне обозревателя решений можно добавлять файлы и управлять ими.
//   2. В окне Team Explorer можно подключиться к системе управления версиями.
//   3. В окне "Выходные данные" можно просматривать выходные данные сборки и другие сообщения.
//   4. В окне "Список ошибок" можно просматривать ошибки.
//   5. Последовательно выберите пункты меню "Проект" > "Добавить новый элемент", чтобы создать файлы кода, или "Проект" > "Добавить существующий элемент", чтобы добавить в проект существующие файлы кода.
//   6. Чтобы снова открыть этот проект позже, выберите пункты меню "Файл" > "Открыть" > "Проект" и выберите SLN-файл.
